"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const service_1 = require("../service");
class ResetData extends command_1.Command {
    async run() {
        const { flags } = this.parse(ResetData);
        service_1.BootstrapUtils.showBanner();
        await new service_1.BootstrapService(this.config.root).resetData(flags);
    }
}
exports.default = ResetData;
ResetData.description = 'It removes the data keeping the generated configuration, certificates, keys and block 1.';
ResetData.examples = [`$ symbol-bootstrap resetData`];
ResetData.flags = {
    help: command_1.flags.help({ char: 'h', description: 'It shows the help of this command.' }),
    target: command_1.flags.string({
        char: 't',
        description: 'the target folder',
        default: service_1.ConfigService.defaultParams.target,
    }),
};
